# GimpUi.cairo_surface_create_from_pixbuf

    function cairo_surface_create_from_pixbuf(pixbuf: GdkPixbuf.Pixbuf): cairo.Surface {
        // Gjs wrapper for gimp_cairo_surface_create_from_pixbuf()
    }

Create a Cairo image surface from a GdkPixbuf.

You should avoid calling this function as there are probably more efficient ways of achieving the result you are looking for.

Since 2.6

pixbuf

  a GdkPixbuf.Pixbuf

Returns

  a #cairo_surface_t.